.footer {
    color: #fff;
    padding: 60px 10%;
    background: #05070d;
}

/* GRID PRINCIPAL */
.footer-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 40px;
}

/* LOGO */
.img-footer {
    width: 160px;
    margin-bottom: 15px;
}

/* TITULOS */
.footer-col h3 {
    margin-bottom: 15px;
    font-size: 18px;
}

/* LISTA */
.footer-col ul {
    list-style: none;
    padding: 0;
}

.footer-col ul li {
    margin-bottom: 8px;
}

.footer-col ul li a {
    text-decoration: none;
    color: #ccc;
    transition: 0.3s;
}

.footer-col ul li a:hover {
    color: #fff;
}

/* REDES SOCIAIS */
.social-media-footer ul {
    display: flex;
    gap: 15px;
    padding: 0;
}

.social-media-footer li {
    list-style: none;
}

.social-media-footer a {
    font-size: 26px;
    color: #fff;
}

/* MAPA */
.footer-col iframe {
    width: 100%;
    max-width: 250px;
    border-radius: 6px;
    margin-top: 10px;
}

/* FOOTER BOTTOM */
.footer-bottom {
    text-align: center;
    margin-top: 40px;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    padding-top: 20px;
    font-size: 14px;
}


@media (max-width: 900px) {

    .footer-container {
        grid-template-columns: repeat(2, 1fr);
        gap: 30px;
    }

}

/* ========================= */
/* 768px */
/* ========================= */

@media (max-width: 768px) {

    .footer {
        padding: 50px 8%;
    }

    .footer-container {
        grid-template-columns: 1fr 1fr;
        text-align: left;
    }

    .footer-col iframe {
        max-width: 100%;
    }

}

/* ========================= */
/* 480px */
/* ========================= */

@media (max-width: 480px) {

    .footer {
        padding: 40px 6%;
    }

    .footer-container {
        grid-template-columns: 1fr;
        text-align: center;
        justify-items: center; /* centraliza tudo */
        gap: 25px;
    }

    .footer-col {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center; /* centraliza conteúdo */
    }

    .footer-col ul {
        text-align: center;
    }

    .footer-col ul li {
        text-align: center;
    }

    .img-footer {
        margin-bottom: 15px;
    }

    .social-media-footer ul {
        justify-content: center;
    }

    .footer-col iframe {
        width: 100%;
        max-width: 300px;
        margin-top: 15px;
    }

}
